Subject: Re: [RFCv3 bluetooth-next 4/4] 6lowpan: iphc: add support for stateful compression

From: Stefan Schmidt <[email-masked]>
Date: Fri, 11 Dec 2015 20:11:42 +0100

Hello.

On 11/12/15 18:05, Alexander Aring wrote:
> Hi,
>
> status update here.
>
> I implemented successful basic 6CO RA messages at sending and
> processing inside radvd.
>
> There might also the question if processing 6CO inside kernel or
> userspace? I put the basic functionality inside userspace for now.

How are you feeding the entries your receive back into the kernel? The 
debugfs interface right now?
If we want to go with userspace handling for 6CO we need something 
better at some point.

> I will send patches for this in the next days.

Great.

>
> Anyway I figured some things out which was completely wrong inside this
> patch.
>
>   - There exist one context based table only.
>     
>     In rfc6282 stands:
>     The specification enables a node to use up to 16 contexts. The
>     context used to encode the source address does not have to be the
>     same as the context used to encode the destination address.
>
>     and I thought it was $SOME_TABLE[DCI] != $DIFFERENT_TABLE[SCI].
>     But it means in general simple that it can be: DCI != SCI.
>
>     With this knowledge the code gets much smaller.

Interesting point. I also overlooked this during the first review rounds.

regards
Stefan Schmidt